{"uid":"cap_S7Qgsw2K4adeu5uSMOZiP","slug":"eth-block-by-number-8ea65817","name":"ETH Block by Number","description":"ARYSPHERE sells AI-written verdicts on Base token contracts (a grade, a one-liner, a roast and the contract's facts) and Base/Ethereum chain reads, paid per call in USDC on Base over x402 v2. No account and no API key.","url":"https://ari001.tailb4ac3a.ts.net/v1/ventures/x402_chain_reads_v1/eth_getblockbynumber?utm_source=zero.xyz","method":"GET","headers":{},"bodySchema":{"type":"object","$schema":"https://json-schema.org/draft/2020-12/schema","required":["input"],"properties":{"input":{"type":"object","required":["type","method"],"properties":{"type":{"type":"string","const":"http"},"method":{"enum":["GET","HEAD","DELETE"],"type":"string"},"queryParams":{"type":"object","properties":{"block":{"type":"string","description":"a block number, or 'latest'"}}}},"additionalProperties":false},"output":{"type":"object","required":["type"],"properties":{"type":{"type":"string"},"example":{"type":"object"}}}}},"responseSchema":{"type":"json","example":{"ok":true,"chain":"ethereum","method":"eth_getBlockByNumber","result":{"hash":"0x7538fe3a3bb34856c428edf3a6987a3f65c62e420473a509e0ef6e6446aac74b","size":"0x1d1af","miner":"0x4838b106fce9647bdf1e7877bf73ce8b0bad5f97","nonce":"0x0000000000000000","number":"0x18f1ab8","uncles":[],"gasUsed":"0x169e64a","mixHash":"0xae6149f7ce26ec6622dcee60ac3581ec58f376c6e617344d5d26fa6c79fcd84f","gasLimit":"0x3938700","extraData":"0x546974616e2028746974616e6275696c6465722e78797a29","logsBloom":"0x51ef0f6b5db85bb77c3f1b4de1e5dfafd5fedf65f45c753c161735b56e9beff5dc2cc73aa3bc2fafb97e7b917abf7dddc76b513d9f67ef73dfff2ff2bfefe4db7379d7e11ef186fae93b772fb47b47ffeee47771edfe1bba7176649acf657edef630646aa6ce2a61faf7faf32e606cc7dbffc2be70d6b6","stateRoot":"0xafc5c4791f953764c1240c4605600bffa650467910ff793a6ad44a44ec5bcdad","timestamp":"0x6ac905e3","difficulty":"0x0","parentHash":"0x49c6e74104654981bc3d21e12e9df6dcb4fad59c775948d9c43ecc662dbbeebe","sha3Uncles":"0x1dcc4de8dec75d7aab85b567b6ccd41ad312451b948a7413f0a142fd40d49347","blobGasUsed":"0x140000","receiptsRoot":"0xd4d60719e4ba28f68eb398a5d861d44bfdb8a171742a756e0dbcc50250136183","requestsHash":"0xe3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855","baseFeePerGas":"0x206e2cc9","excessBlobGas":"0xc0db577","withdrawalsRoot":"0x58b153ac66ecab07f3a899101e5e839985a01f22419ae16886f5321840808584","transactionsRoot":"0xc00956eb9e6da8da2db4d3a68333bf790f6fb92471b67121666f3a739a0b9e6c","parentBeaconBlockRoot":"0x0a477cb0499fc7f2a7d288b176f58f017ce1fc816648df3df102066289a3a962"},"service":"x402_chain_reads_v1.eth_getblockbynumber"}},"example":null,"exampleRequest":null,"tags":["x402"],"displayCostAmount":"0.003","displayCostAsset":"USDC","priceDynamic":false,"priceHint":null,"priceStatus":"priced","priceSource":"probe","requiresHandshake":false,"reviewCount":0,"rating":{"score":"0.00","successRate":"0.00","reviews":0,"stars":null,"state":"unrated"},"availabilityStatus":"unknown","priceObserved":null,"sessionDeposit":null,"pricing":{"kind":"static","summary":"$0.003/call","primary":{"kind":"static","protocol":"x402","network":"base","amountUsd":"0.003","per":"call","confidence":"exact"},"accepted":[{"kind":"static","protocol":"x402","network":"base","amountUsd":"0.003","per":"call","confidence":"exact"}]},"paymentMethods":[{"uid":"pm_vUVNLClbZLuJHmORRqTvd","protocol":"x402","methodType":"crypto","chain":"base","mode":"charge","costAmount":"0.003","costPer":"request","priority":0,"asset":"0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913","unit":"request","depositMicros":null,"planRef":null}],"brandName":null,"brandSlug":null,"brandBaseUrl":null,"brandDocsUrl":null,"whatItDoes":"Fetches a specific Ethereum mainnet block by block number (or 'latest') via eth_getBlockByNumber JSON-RPC.","exampleAgentPrompt":"Can you fetch the full block data for Ethereum mainnet block number 19500000? I need all the details the node returns.","exampleUseCases":[{"title":"Inspect latest Ethereum block","prompt":"What does the latest Ethereum mainnet block look like right now? Grab all the details including transactions and timestamp."},{"title":"Audit specific block transactions","prompt":"Pull the full block data for Ethereum mainnet block 18900000 — I want to see all the transactions and gas info in it."},{"title":"Retrieve block timestamp for historical lookup","prompt":"I need the block data for Ethereum block number 17000000 so I can check its timestamp and who mined it."}],"resultDescription":"Returns the full Ethereum block object exactly as the node provides it via eth_getBlockByNumber JSON-RPC, including fields like block hash, parent hash, miner, timestamp, gas limit, gas used, transaction list, difficulty, and other standard block headers.","failureModes":["Invalid block number format returns an error or null","Block number not yet mined returns null","Network/node unavailability causes timeout or 5xx error","Malformed query parameter causes 400 bad request","Payment not included or insufficient USDC results in 402 response"],"whenToPreferThis":"Use this endpoint when you need full Ethereum mainnet block data by a specific block number or want the latest block. Prefer this over block-explorer scraping when you need raw, structured JSON-RPC output. Choose this over eth_blockNumber when you need more than just the block number — e.g., transactions, timestamp, miner, or gas data. Note this is for Ethereum mainnet; use sibling endpoints for Base chain block data.","instructions":null,"reviewSummary":null,"reviewSummaryHighlights":null,"reviewSummaryConcerns":null,"reviewSummaryGeneratedAt":null,"activationCount":0,"lastUsedAt":null,"lastSuccessfullyRanAt":null,"lastHealthCheckAt":"2026-10-31T06:46:27.339Z","isFirstParty":false,"canonicalSlug":"eth-block-by-number-8ea65817"}